function points3d(varargin)
%POINTS3D Description of functions operating on 3D points
%
%   Points are represented by their 3 Cartesian coordinates:
%   P = [X Y Z];
%
%   Arrays of points consist in N*3 arrays, each row being a point.
%
%   See also
%   isCoplanar, distancePoints, boundingBox3d
%   anglePoints3d, angleSort3d, sphericalAngle
%   sph2cart2, cart2sph2, cart2cyl, cyl2cart
%   transformPoint3d, clipPoints3d
%
%
% ------
% Author: David Legland
% e-mail: david.legland@grignon.inra.fr
% Created: 2008-10-13,    using Matlab 7.4.0.287 (R2007a)
% Copyright 2008 INRA - BIA PV Nantes - MIAJ Jouy-en-Josas.
