%%Choose directory and move to it
dr = uigetdir();
cd(dr);

%%
filelist = dir('*xyzpts.csv'); %Get list of relevant files
beeData = struct(); %create empty structure object

fps = 1000; %How many frames per second?
%%
for i = 1:numel(filelist)
    %Extract metadata
    i
    filename = filelist(i).name;
    beeNumber = str2num(filename(2:3));
    beeTagNumber = str2num(filename(7:10));
    flowerNumber = str2num(filename(13:14));
    stiffness = str2num(filename(17));
    position = str2num(filename(20));
    trialNumber = str2num(filename(23:24));
    wind = str2num(filename(27));
    
%     Six different flow conditions
%     if stiffness == 0 & position == 0 & wind == 0
%         plotind = 1;
%         beeData(i).trialType = plotind;
%     end
%     
%     if stiffness == 1 & position == 0 & wind == 0
%         plotind = 1; %]
%         beeData(i).trialType = plotind;
%     end
%     
%     if stiffness == 0 & position == 0 & wind == 1
%         plotind = 2;
%         beeData(i).trialType = plotind;
%     end
%     
%     if stiffness == 1 & position == 0 & wind == 1
%         plotind = 3; %
%         beeData(i).trialType = plotind;
%         
%     end
%     if stiffness == 0 & position == 1 & wind == 0
%         plotind = 4; %
%         beeData(i).trialType = plotind;
%         
%     end
%     
%     if stiffness == 1 & position == 1 & wind == 0
%         plotind = 4; %
%         beeData(i).trialType = plotind;
%         
%     end
%     if stiffness == 0 & position == 1 & wind == 1
%         plotind = 5; %
%         beeData(i).trialType = plotind;
%     end
%     
%     if stiffness == 1 & position == 1 & wind == 1
%         plotind = 6; %
%         beeData(i).trialType = plotind;
%     end
    
    %% Do analysis for this specific trial...
    %Calculate total path distances from each point and find the mean of those values
    %trialfile =  uigetfile({'*xyzpts.csv'},'File Selector');
    
    % Add in noise filter
    order=5;
    cutoff = 100;
    fps = 1000;
    
    [r,t] = butter(order,2*cutoff/fps, 'low');
    
    
    RawData=csvread(filename,1,0);
    tmpTri = RawData(:,1:9);
    ind = ~isnan(tmpTri(:,1));
    RawData(ind,1:9) = filtfilt(r,t,tmpTri(ind,:)); %Aply that filter to the first nine columns, corresponding to the bee triangle position
    ind = ~isnan(RawData(:,19));
    EditedData = RawData(ind,19:21);
    A = bsxfun(@minus,RawData(:,1:3),EditedData);
    B=bsxfun(@minus,RawData(:,4:6),EditedData);
    C=bsxfun(@minus,RawData(:,7:9),EditedData);
    D=bsxfun(@minus,RawData(:,10:12),EditedData);
    E=bsxfun(@minus,RawData(:,13:15),EditedData);
    F=bsxfun(@minus,RawData(:,16:18),EditedData);
    G=bsxfun(@minus,RawData(:,19:21),EditedData);
    OrientedData=horzcat(A,B,C,D,E,F,G);
    
    N=numel(OrientedData(:,1));
    Point1Data=[];
    for j=1:(N-1)
        d0=norm(OrientedData(j,1:3)-OrientedData(j+1,1:3));
        Point1Data(j)=d0;
    end
    Point1Distance = nansum(Point1Data);
    
    Point2Data=[];
    for j=1:(N-1)
        d1=norm(OrientedData(j,4:6)-OrientedData(j+1,4:6));
        Point2Data(j)=d1;
    end
    Point2Distance = nansum(Point2Data);
    
    Point3Data=[];
    for j=1:(N-1)
        d2=norm(OrientedData(j,7:9)-OrientedData(j+1,7:9));
        Point3Data(j)=d2;
    end
    Point3Distance = nansum(Point3Data);
    
    AllPtsTPD = horzcat(Point1Distance,Point2Distance,Point3Distance);
    TotalPathDistance = nanmean(AllPtsTPD);
    
    %Calculate instantaneous speeds
    ind = ~isnan(Point1Data);
    TrianglePoint1 = Point1Data(ind);
    totalframes = numel(TrianglePoint1);
    Point1Speeds=Point1Data*fps;
    Point2Speeds=Point2Data*fps;
    Point3Speeds=Point3Data*fps;
    AllPtsSpeeds=horzcat(Point1Speeds',Point2Speeds',Point3Speeds');
    AllPtsSpeedsMean=mean(AllPtsSpeeds,2);
    AllPtsSpeedsMean = AllPtsSpeedsMean(~isnan(AllPtsSpeedsMean));
    
    AverageSpeedCheck = mean(AllPtsSpeedsMean);
    %%
    %Find linear path distance (start to end points)
    TriangleDataPoints=horzcat(A,B,C);
    ind = ~isnan(TriangleDataPoints(:,1));
    TriangleDataPoints = TriangleDataPoints(ind,:);
    N=numel(TriangleDataPoints(:,1));
    LinearPathDistance1=sqrt((TriangleDataPoints(1,1)-TriangleDataPoints(N,1))^2 + (TriangleDataPoints(1,2)-TriangleDataPoints(N,2))^2 + (TriangleDataPoints(1,3)-TriangleDataPoints(N,3))^2);
    LinearPathDistance2=sqrt((TriangleDataPoints(1,4)-TriangleDataPoints(N,4))^2 + (TriangleDataPoints(1,5)-TriangleDataPoints(N,5))^2 + (TriangleDataPoints(1,6)-TriangleDataPoints(N,6))^2);
    LinearPathDistance3=sqrt((TriangleDataPoints(1,7)-TriangleDataPoints(N,7))^2 + (TriangleDataPoints(1,8)-TriangleDataPoints(N,8))^2 + (TriangleDataPoints(1,9)-TriangleDataPoints(N,9))^2);
    AllPtsLPD = horzcat(LinearPathDistance1, LinearPathDistance2, LinearPathDistance3);
    LinearPathDistance = nanmean(AllPtsLPD);
    
    %%
    %Calculate sinuosity
    Sinuosity=TotalPathDistance/LinearPathDistance;
    %%
    %Calculate average speed
    ind = ~isnan(OrientedData(:,1));
    TrianglePoints = OrientedData(ind,1:9);
    totalframes = numel(TrianglePoints(:,1));
    AverageSpeed=TotalPathDistance/(totalframes/1000);
    
    
    %%
    %Stability Data
    %rpyoutJC(TrianglePoints, 1000)
    [rpy error dcms] = rpyoutJC(TrianglePoints, 1000);  %where data = your 9 column
    %triangle data
    rpyraw = rpy;
    beeData(i).meanRoll =   nanmean(rpy(:,1));
    beeData(i).meanPitch =    nanmean(rpy(:,2));
    beeData(i).meanYaw =    nanmean(rpy(:,3));
    beeData(i).rpyraw = rpy;
 


    % high pass filter on stability data
    order=5;
    cutoff = 3;
    
    [r,t] = butter(order,2*cutoff/fps, 'high');
    rpy = filtfilt(r,t,rpy);
    stdRoll = nanstd(rpy(:,1));
    stdPitch = nanstd(rpy(:,2));
    stdYaw = nanstd(rpy(:,3));
    
    %% Calculate distance from flower over time
    
    
    N = numel(TrianglePoints(:,1));
    DistanceData=[];
    for k=1:N;
        d3=norm(TrianglePoints(k,4:6));
        DistanceData(k)=d3;
    end
    
    %% Calculate average approach angle
    ind = DistanceData > .015 & DistanceData < .03;
    
    [az, elev, radius] = cart2sph(TrianglePoints(ind,4), TrianglePoints(ind,5), TrianglePoints(ind,6));
    landingAngle = rad2deg(mean(az));
    landingElevation = rad2deg(mean(elev));
    landingSpeed = mean(AllPtsSpeedsMean(ind(1:(end-1))));
    beeData(i).landingRollSD = std(rpy(ind,1));
    beeData(i).landingPitchSD = std(rpy(ind,2));
    
    ind2 = DistanceData > .05 & DistanceData < .07;
    approachSpeed = nanmean(AllPtsSpeedsMean(ind2));
    beeData(i).approachRollSD = std(rpy(ind2,1));
    beeData(i).approachPitchSD = std(rpy(ind2,2));
    
    beeData(i).approachPitchMean = mean(rpyraw(ind2,2));
    beeData(i).landingPitchMean = mean(rpyraw(ind,2));
    
    %% Write data to the structure array
    beeData(i).beeNumber = beeNumber;
    beeData(i).filename = filename;
    beeData(i).beeTagNumber = beeTagNumber;
    beeData(i).flowerNumber = flowerNumber;
    beeData(i).stiffness = stiffness;
    beeData(i).position = position;
    beeData(i).trialNumber = trialNumber;
    beeData(i).wind = wind;
    beeData(i).sinuosity = Sinuosity;
    beeData(i).averageSpeed = AverageSpeed;
    beeData(i).OrientedData = OrientedData;rpy
    beeData(i).TrianglePoints = TrianglePoints;
    beeData(i).trialType = plotind;
    beeData(i).stdRoll = stdRoll;
    beeData(i).stdPitch = stdPitch;
    beeData(i).stdYaw = stdYaw;
    
    beeData(i).AllPtsSpeedsMean = AllPtsSpeedsMean;
    beeData(i).DistanceData = DistanceData;
    beeData(i).landingAngle = landingAngle;
    beeData(i).averageSpeedCheck = AverageSpeedCheck;
    beeData(i).landingSpeed = landingSpeed;
    beeData(i).approachSpeed = approachSpeed;
    beeData(i).landingElevation = landingElevation;
    beeData(i).maxSpeed = max(AllPtsSpeedsMean);
    beeData(i).rpy = rpy;
    
    %Find maximum deceleration at the end of the trial
    y  = diff(beeData(i).AllPtsSpeedsMean);
    y = y(10:(end-10)); %Cut off ends to remove filtering effect
    beeData(i).maxDeceleration = min(y((end-100):end))*fps;
end

%% Save csv to output for statistics
save('floralApproachBeeData.mat', 'beeData');
beeDataForStats = rmfield(beeData, {'OrientedData', 'TrianglePoints','AllPtsSpeedsMean', 'DistanceData', 'rpy', 'rpyraw'});

writetable(struct2table(beeDataForStats), 'flowerApproachDataForStats.csv');
