function beePts = trackTriangleForDLT(mov, tagNumber)
%%
nframes = mov.NumberOfFrames;
beePts = nan(nframes, 6);
for i = 1:nframes
%    for i = 200:210 %Tester code
    %%
    try
        
        %%
        im = read(mov, i);
        im = rgb2gray(im);
        %tic;
%         imf = imfilter(im, fspecial('Gaussian', 80, 30));
%         imft = imadjust(im - imf);
%         imshow(imft);
        %toc;
        %%
        %Code tracking
        %tic;
        tic; R = locateCodes(im, 'threshMode', 1, 'bradleyThresh', 20, 'bradleyFilterSize', [10 10], 'robustTrack', im); toc;
        %toc;
        %%
        %Virtual point post-processing
        if ~isempty(R)
            %tic;
            bee = R([R.number] == tagNumber);
            corners = fliplr(bee.corners');
            %cornersP(:,1) = corners(:,1)
            or = bee.orientation;
            if or == 1
                ind = [2 3 4 1];
            elseif or  == 2
                ind = [3 4 1 2];
            elseif or ==  3
                ind = [4 1 2 3];
            elseif or  == 4
                ind = [1 2 3 4];
            end
            corners = corners(ind,:);
            p1x = corners(1,1);
            p1y = corners(1,2);
            
            %Extract virtual point
            p2 = mean(corners(2:3,:));
            p2x = p2(1);
            p2y = p2(2);
            
            p3x = corners(4,1);
            p3y = corners(4,2);
            
            hold on;
            plot([p1x p2x p3x], [p1y p2y p3y], 'r.', 'MarkerSize', 20);
            % Extract relevant points of the triangle
            hold off;
            %toc;
            
            beePts(i,:) = [p1x p1y p2x p2y p3x p3y];
            
            %VISUALIZE
            imshow(im);
            hold on;
            plot(p1x, p1y, 'r.', 'MarkerSize', 20);
            plot(p2x, p2y, 'g.', 'MarkerSize', 20);
            plot(p3x, p3y, 'b.', 'MarkerSize', 20);
        else
            imshow(im);
            title('no tags found')
            continue
        end
        
        if mod(i, 20) == 0
            disp(strcat('tracking frame_', num2str(i), '_of_', num2str(nframes)))
        end
    catch
        continue
    end
end